Fatal error: Arrays are not allowed in class constants in

WordPressでプラグインを有効化しようとしたら、以下のエラー。

Fatal error: Arrays are not allowed in class constants in

調べてみると、PHP5.6じゃないと使ってはいけないコードがあったみたいです。

クラス内変数として,
const $arr = array();
と宣言できるようになったのは,PHP5.6からみたいです.

Arrays are not allowed in class constants in…. – Qiita

ということで、さくらレンサバのPHPのバージョンアップを実行。

さくらレンサバのPHPバージョン変更

PHP5.4のままでした・・・PHP7にしようとおもったのですが取り急ぎの対応として、PHP5.6に。

スポンサーリンク
スポンサーリンク